Subject: bug#62621: 29.0.60; uniquify can't make buffers unique based on things other than filename

From: [email-masked]
Date: Fri, 14 Jul 2023 19:15:50 +0000 (UTC)

Eli Zaretskii <[email-masked]> writes:

>> From: Spencer Baugh <[email-masked]>
>> Cc: [email-masked],  [email-masked]
>> Date: Fri, 14 Jul 2023 10:14:39 -0400
>> 
>> Eli Zaretskii <[email-masked]> writes:
>> 
>> > And I don't really understand how this will work in practice: if the
>> > user-defined function is supposed to be in effect only for buffers
>> > under project.el,
>> 
>> The transform is supposed to be in effect for all buffers, and
>> internally it runs some code to decide whether to change the buffer
>> name.
>
> Still unclear why you thought functions can do what other values
> cannot.
>
>> > how is this different from using symbols?
>> 
>> I can't contrast that to "using symbols" because I just don't understand
>> what you mean by "using symbols".
>
> It means the defcustom's value is a symbol, like 'numbered or
> 'append-directory, not a function.

Yes.  But how would you implement it so that setting the defcustom to
'project causes the project-uniquify-dirname-transform logic to be used
by uniquify.el, without mentioning project-uniquify-dirname-transform or
other project functions in uniquify.el?